Update a pii policy
PUT
/v1/projects/{projectId}/pii-policycurl -X PUT 'https://api.embodiflow.io/v1/projects/{projectId}/pii-policy' \
-H 'Authorization: Bearer $EMBODIFLOW_PAT' \
-H 'Content-Type: application/json' \
-d '{
"requiredBeforeExport": true,
"requireSpotCheckBeforeExport": true,
"detectors": [
"string"
],
"maskingMode": "blur"
}'认证
每个请求都需要携带个人访问令牌(PAT)。
- Authorization: Bearer PAT
路径参数
- projectIdstring必填
请求头参数
- If-Matchstring
Optional precondition. A matching tag proceeds and returns the new ETag. A stale tag returns 412 PRECONDITION_FAILED with no write. Absent proceeds (opt-in this release). If-Match: * succeeds when the resource exists. Malformed values return 400 IF_MATCH_INVALID.
请求体
Content-Typeapplication/json
- requiredBeforeExportboolean必填
- requireSpotCheckBeforeExportboolean
- detectorsarray<string>
- maskingModestring可选值blurredact
响应
Success
- dataobject必填
- idstring必填
- tenantIdstring必填
- projectIdstring必填
- requiredBeforeExportone of必填
- requireSpotCheckBeforeExportone of必填
- detectorsarray<string>必填
- maskingModestring必填可选值blurredact
- createdAtstring必填
- updatedAtstring必填
响应示例
{
"data": {
"id": "string",
"tenantId": "string",
"projectId": "string",
"requiredBeforeExport": false,
"requireSpotCheckBeforeExport": false,
"detectors": [
"string"
],
"maskingMode": "blur",
"createdAt": "string",
"updatedAt": "string"
}
}服务器https://api.embodiflow.io/v1https://api.embodiflow.dev/v1